<template>
    <table
        class="table"
        :class="{
            'table-striped': isStriped
        }"
    >
        <thead>
            <tr>
                <th
                     v-for="(column, columnIndex) in columns"
                    :key="`column-${columnIndex}`"
                >
                    {{column.value}}
                </th>
            </tr>
        </thead>
        <tbody>
            <tr
                v-for="(row, rowIndex) in data"
                :key="`row-${rowIndex}`"
            >
                <td
                    v-for="(column, columnIndex) in columns"
                    :key="`column-${columnIndex}`"
                >
                    {{cellValue(row, column)}}
                </td>
            </tr>
        </tbody>
    </table>
</template>
<script lang="ts">
import {Vue, Component, Prop} from 'vue-property-decorator'
import {Column, Row} from '../types'

@Component({})
export default class TableViewMode extends Vue {
    @Prop({default: () => []})
    columns!: Column[]
    
    @Prop({default: () => []})
    data!: Row[]

    @Prop({default: false})
    isStriped!: boolean

    cellValue(row: Row, column: Column): string {
        return row[column.key]
    }
}
</script>